Skip to content
Proud to collaborate with Microsoft for Startups

docusign.templates.get-template-page-image ​

Retrieves a page image for display from the specified template.

Gets a page image from a template for display.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
documentidstringYes—The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab.
pagenumberstringYes—The page number being accessed.
templateidstringYes—The ID of the template.
dpistringNo—The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
max_heightstringNo—Sets the maximum height of the returned images in pixels.
max_widthstringNo—Sets the maximum width of the returned images in pixels.
show_changesstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
documentidstringYes—The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab.
pagenumberstringYes—The page number being accessed.
templateidstringYes—The ID of the template.
dpistringNo—The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
max_heightstringNo—Sets the maximum height of the returned images in pixels.
max_widthstringNo—Sets the maximum width of the returned images in pixels.
show_changesstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/page_image
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages/{pageNumber}/page_image
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.templates.get-template-page-image",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "documentid": "value",
    "pagenumber": "value"
  }
}